from politicsnlp.power.power import *

class DiscoursePower(Power):
    """
Discourse power refers to the ability to control or influence communication in a conversation or discourse. The following are some characteristics of discourse power:

Turn-taking: Discourse power includes the ability to determine who speaks when in a conversation.
Topic control: Discourse power includes the ability to control the subject matter of a conversation or discourse.
Interrupting: Discourse power includes the ability to interrupt another speaker in a conversation.
Questioning: Discourse power includes the ability to ask questions of other speakers.
Repetition: Discourse power includes the ability to repeat or rephrase what another speaker has said.
Persuasion: Discourse power includes the ability to influence or persuade others in a conversation.
Silence: Discourse power includes the ability to remain silent and control the direction of the conversation.    
    """
    def __init__(self, type, distribution, balance,turn_taking=True, topic_control=True, interrupting=True, questioning=True, repetition=True, persuasion=True, silence=True):
        super().__init__(type, distribution, balance)
        self.turn_taking = turn_taking
        self.topic_control = topic_control
        self.interrupting = interrupting
        self.questioning = questioning
        self.repetition = repetition
        self.persuasion = persuasion
        self.silence = silence

    def take_turn(self):
        if self.turn_taking:
            # Code to determine who speaks next
            pass

    def control_topic(self):
        if self.topic_control:
            # Code to control the subject matter of a conversation
            pass

    def interrupt(self):
        if self.interrupting:
            # Code to interrupt another speaker
            pass

    def ask_question(self):
        if self.questioning:
            # Code to ask a question of another speaker
            pass

    def repeat(self):
        if self.repetition:
            # Code to repeat or rephrase what another speaker has said
            pass

    def persuade(self):
        if self.persuasion:
            # Code to influence or persuade others in a conversation
            pass

    def remain_silent(self):
        if self.silence:
            # Code to remain silent and control the direction of the conversation
            pass
